package com.jz.common.constant;

/**
 * @ClassName: CommConstant
 * @Description: TODO(通用常亮)
 * @author ybz
 * @date 2021年1月18日
 *
 */
public class CommConstant {
	
	/***************************************************/
	//tree类型
	public static final String TREE_SYNCING_DATA = "1";
	//开发任务
	public static final String TREE_DEVELOP_TASK = "2";
	
	public static final String TREE_DEVELOP_WORKFLOW = "2W";
	
	public static final String TREE_DEVELOP_SCRIPT = "3";
	
	public static final String TREE_MANAGE_RESOURCE = "4";
	
	public static final String TREE_MANAGE_FUNCTION = "5";
	
	/***************************************************/
	//MDC
	public static final String TRACE_ID="traceId";
	
	/***************************************************/
	//重复提交校验token
	public static final String RE_SUBMIT_TOKEN = "resubmitToken";
	
	/***************************************************/
	//task_type任务类型
	public static final String TASK_TYPE_DEVELOP = "1";//开发任务
	public static final String TASK_TYPE_OFFLINE = "2";//离线任务
	public static final String TASK_TYPE_DEVSHELL = "3";//SHELL任务
	public static final String TASK_TYPE_DEVSQL = "4";//SQL任务
	
	/***************************************************/
	//tree type（节点类型）
	public static final String TREE_TYPE_OFFLINE = "01";//离线任务
	public static final String TREE_TYPE_REALTIMESYNC = "02";//实时同步
	public static final String TREE_TYPE_DEVELOP = "03";//数据开发
	public static final String TREE_TYPE_DEVSHELL = "04";//脚本开发
	public static final String TREE_TYPE_DEVSQL = "05";//SQL开发
	/***************************************************/
	//子任务类型
	public static final String WORK_TYPE_START = "start";//开始任务
	public static final String WORK_TYPE_SHELL = "shell";//shell任务
	public static final String WORK_TYPE_SQL = "sql";//sql任务
	public static final String WORK_TYPE_SYNC = "sync";//离线任务
	public static final String WORK_TYPE_SUBPROCESS = "subprocess";//子流程任务
	public static final String WORK_TYPE_FTP = "ftp";//ftp下载任务
	public static final String WORK_TYPE_UNZIPFILE = "unzipFile";//解压文件任务
	public static final String WORK_TYPE_DOCTRANS = "docTrans";//文件转码任务
	public static final String WORK_TYPE_HDFS = "hdfs";//hdfs上传任务
	public static final String WORK_TYPE_STOP = "stop";//停止任务
	
	/***************************************************/
	//azkaban相关常量
	public static final String AZKABAN_PROJECTNAME_PREFIX = "jz_workflow_new_"; //azkaban项目名称前缀

	/***************************************************/
	//模板名称
	public static final String API_TEST = "api_test.ftl";
	public static final String realTimeTask = "source_connector.ftl";
	
	/***************************************************/
	//操作类型
	public static final String OPT_TYPE_ADD = "新增";//新增
	public static final String OPT_TYPE_EDIT = "修改";//修改(SLA设置、重置)
	public static final String OPT_TYPE_DELETE = "删除";//删除
	public static final String OPT_TYPE_AUTH = "授权";//授权
	public static final String OPT_TYPE_UNAUTH = "取消授权";//取消授权
	public static final String OPT_TYPE_UPLOAD = "上传";//上传
	public static final String OPT_TYPE_RUN = "运行";//运行
	public static final String OPT_TYPE_STOP = "停止";//停止
	public static final String OPT_TYPE_PUBLISH = "发布";//发布
	public static final String OPT_TYPE_UNPUBLISH = "取消发布";//取消发布
	public static final String OPT_TYPE_MEMBERCONFIG = "成员配置";//成员配置
	
	public static final String OPT_TYPE_PUBLISHORUN = "发布/取消发布";//发布/取消发布（新增）
	public static final String OPT_TYPE_ADDOREDIT = "新建/编辑";//新建/编辑（新增）
	/***************************************************/
	//功能模块
	public static final String MODULAR_DATAINTEGRATION = "数据集成";//数据集成
	public static final String MODULAR_DATAINTEGRATION_DATASOURCE = "数据开发/数据源";//数据开发/数据源
	public static final String MODULAR_DATAINTEGRATION_OFFLINE = "数据开发/离线同步";//数据开发/离线同步
	public static final String MODULAR_DATAINTEGRATION_REALTIME = "数据开发/实时同步";//数据开发/实时同步
	public static final String MODULAR_DATADEV = "数据开发";//数据开发
	public static final String MODULAR_DATADEV_FLOW = "数据开发/业务流程";//数据开发/业务流程
	public static final String MODULAR_OPTCENTER = "数据运维";//数据运维
	public static final String MODULAR_OPTCENTER_DATADEV = "数据运维/数据开发运维";//数据运维/数据开发运维
	public static final String MODULAR_DATASERVICE = "数据服务";//数据服务
	public static final String MODULAR_DATASERVICE_DEV = "数据服务/服务开发";//数据服务/服务开发
	public static final String MODULAR_DATASERVICE_ORG = "数据服务/组织管理";//数据服务/组织管理
	public static final String MODULAR_DATASERVICE_AUTHMANAG = "数据服务/授权管理";//数据服务/授权管理
	public static final String MODULAR_WORKMANG = "工作台管理";//工作台管理
	public static final String MODULAR_WORKMANG_SYSCONFIG = "工作台管理/系统配置";//工作台管理/系统配置
	public static final String MODULAR_WORKSPACEMANG = "工作空间管理";//工作台管理
	public static final String MODULAR_WORKSPACEMANG_LIST = "工作空间管理/工作空间列表";//工作空间管理/工作空间列表
	public static final String MODULAR_WORKSPACEMANG_MEMBER = "工作空间管理/成员管理";//工作空间管理/成员管理
	public static final String MODULAR_WORKSPACEMANG_SYSCONFIG = "工作空间管理/系统配置";//工作空间管理/系统配置
	
	
}
